variable "aws_profile" {
    type = string
    default = "aws-infra"
}

variable "aws_region" {
    type = string
    default = "eu-west-3"
}

variable "environment" {
    type = string
    default = "prod"
}

# AZ can be seen using: aws ec2 describe-availability-zones --region eu-west-3
variable "vpc_subnets" {
    type = map(object({
        cidr_block        = string
        availability_zone = string
    }))

    default = {
        "alpha" = { 
            cidr_block        = "10.0.1.0/24"
            availability_zone = "eu-west-3b"
        }
        "beta" = {
            cidr_block        = "10.0.2.0/24"
            availability_zone = "eu-west-3c"
        }
    }
}
